Package org.apache.uima.cas.impl

# Enum Class CasState

java.lang.Object
java.lang.Enum<CasState>
org.apache.uima.cas.impl.CasState

All Implemented Interfaces:
  `Serializable`, `Comparable<CasState>`, `Constable`

public enum CasState extends Enum<CasState>
states the CAS can be in

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_ACCESS`
  `READ_ONLY`
  `UIMA_AS_WAIT_4_RESPONSE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CasState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CasState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UIMA_AS_WAIT_4_RESPONSE

    public static final CasState UIMA_AS_WAIT_4_RESPONSE

  - ### READ_ONLY

    public static final CasState READ_ONLY

  - ### NO_ACCESS

    public static final CasState NO_ACCESS

- ## Method Details

  - ### values

    public static CasState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CasState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null